//***
//***	Glass Section
//***

// 	Plain glass.

textures/mapel4/plainglass
{
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//cull twosided
	cull none
	{
		map textures/mapel4/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

// 	Plain glass red.

textures/mapel4/plainglass_red
{
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
	//cull twosided
	cull none
	{
		map textures/mapel4/plainglass_red.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}
//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/

//***
//***	Fog Section
//***

textures/mapel4/fog_timctf1
{
qer_editorimage textures/mapel4/clouds1
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap

fogparms ( .250 .325 .325 ) 450

}

//***
//***	Paul Jaquays' pj_ctf1 sky /june 30, 1999 - modified by Pax
//***

textures/mapel4/mapel4sky1
{
	qer_editorimage textures/mapel4/skytes1

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun	0,78515625 0,69921875 0,28515625 50 5 100
	q3map_surfacelight 75

	skyparms full 256 -
	
	{
		map textures/mapel4/clouds1.jpg
		tcMod scale 3 3
		tcMod scroll 0.012 0.015
		depthWrite
	}
	{
		map textures/mapel4/skytes1.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scale 5 5
		tcMod scroll -0.010 -0.12
	}
}


//***
//***	Column Section
//***

textures/mapel4/column_blue_solid
{
	qer_editorimage textures/mapel4/column_blue.tga
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/mapel4/column_blue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/mapel4/column_red_solid
{
	qer_editorimage textures/mapel4/column_red.tga
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/mapel4/column_red.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/mapel4/column_red_trans
{
	qer_editorimage textures/mapel4/column_red_qer.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/mapel4/column_red.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}

textures/mapel4/column_blue_trans
{
	qer_editorimage textures/mapel4/column_blue_qer.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/mapel4/column_blue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}


//***
//***Flare Section
//***

textures/mapel4/flare_bluebase
{
    qer_editorimage textures/mapel4/ctfblue_flare1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mapel4/ctfblue_flare1.tga
            blendFunc GL_ONE GL_ONE
          }
} 

textures/mapel4/flare_redbase
{
    qer_editorimage textures/mapel4/ctfred_flare1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/mapel4/ctfred_flare1.tga
            blendFunc GL_ONE GL_ONE
          }
} 

textures/mapel4/flare_test
{
    qer_editorimage textures/mapel4/ctfred_flare1.tga
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    q3map_surfacelight 400	
    cull none
          {
            clampmap textures/mapel4/ctfred_flare1.tga
            blendFunc GL_ONE GL_ONE
          }
} 

//***
//***	Neon Lights Section
//***

textures/mapel4/lysror1_1000
{
	qer_editorimage textures/mapel4/lysror1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mapel4/lysror1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mapel4/lysror1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mapel4/lysror1_1500
{
	qer_editorimage textures/mapel4/lysror1.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mapel4/lysror1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mapel4/lysror1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//***
//***	Bouncepad Section
//***

textures/mapel4/boun_darkconc_blue_400
{
	qer_editorimage textures/mapel4/bounce_conc_dark.tga
	surfaceparm nodamage
	q3map_lightimage textures/mapel4/jumppadsmall_blue.tga	
	q3map_surfacelight 400

	
	{
		map textures/mapel4/bounce_conc_dark.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/mapel4/bouncepad01b_layer1b.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/mapel4/jumppadsmall_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
	
}

//Bouncepad for CTF red base

textures/mapel4/boun_darkconc_red_400
{
	qer_editorimage textures/mapel4/bounce_conc_dark.tga
	surfaceparm nodamage
	q3map_lightimage textures/mapel4/jumppadsmall_red.tga	
	q3map_surfacelight 400

	
	{
		map textures/mapel4/bounce_conc_dark.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/mapel4/bouncepad01b_layer1b.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/mapel4/jumppadsmall_red.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
	
}

//***
//***	Nodamage Section
//***

textures/mapel4/rust_nodamage
{
	qer_editorimage textures/base_support/basic1_1.tga
	surfaceparm nodamage

{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_support/basic1_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

//***
//***	Red Light for red base Section
//***

textures/mapel4/ceil1_25a_8k
{
	surfaceparm nomarks
	qer_editorimage textures/mapel4/ceil1_25a_qer.tga
	q3map_surfacelight 8000
	light 1
	//	A red ceiling light (wattage 8k)
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mapel4/ceil1_25a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mapel4/ceil1_25a.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//***
//***	New proto_light Section
//***

textures/mapel4/proto_new_2k
{
	qer_editorimage textures/base_light/proto_light_qer.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//***
//***	Weapon plat effect Section
//***

textures/mapel4/weapon_holder
{       
	qer_editorimage textures/mapel4/weapon_ow.tga
	surfaceparm nomarks        
        {
		map textures/mapel4/weap_plat2.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale .8 .8
                tcmod rotate 23
		tcmod scroll 0.05 0.12
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/mapel4/weapon_ow.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
